<?php
# wallmow
defined('CMBASIC') or die();
echo <<<TEMPLATE_CMBASIC
<!DOCTYPE html>
<html lang="de">
 <head>
  <title>{$title}</title>
  {$meta}
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width">
  <link rel="stylesheet" href="css/{$cssfolder}/cmbasic_print.css" media="print" />
  <link rel="stylesheet" href="css/{$cssfolder}/cmbasic.css" media="screen" />
  <!--[if lt IE 9]>
    <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->
  {$head}
 </head>
<body>
<div id="wrapper">
<!-- Container logo, enthält search -->

<div id="header">
<img src="css/{$cssfolder}/logo.jpg" width="850" height="400" alt="Logo von CMBasic">
  <div id="logo">
     <h1><a href="." title="Zur Startseite">CMBasic</a></h1><h2>Dieses CMS hat Zukunft!</h2>
  </div>
  <div id="switch">
    <!-- vorbereitet für Bildwechsler -->
  </div>  
     <div id="search">
       <form action="." method="get">
          <input name="search" id="searchfield" type="search" autofocus>
          <input type="submit" value="Los!" />
       </form>
     </div>
     
</div> <!-- /#header -->
{$topmenu}
<!-- Menücontainer navi -->
<div id="nav">{$menu}<p>{$rssicon}</p>
{$felog}</div>

<!-- Hauptcontainer content -->
<div id="content">
  {$path}
     <!-- <div id="linie">&nbsp;</div> -->
     {$content}
  </div> <!-- /#content -->
  <!-- <div id="footer">&nbsp;</div> -->
  <br style="clear:both"><!-- macht die Container im #wrapper gleich lang -->
</div> <!-- /#wrapper -->
<!-- Container footer -->
<footer style="clear:both">&copy; CMBasic.de</footer>
</body>
</html>
TEMPLATE_CMBASIC;
?>