<?php
include "../../../backend/sessionheader.inc.php";
include "../../../edit/config.inc.php";
defined('STATS') or die('Statistikmodul ist nicht freigeschaltet!');
if (empty($_SESSION['rights']) || $_SESSION['rights'] < 3) die();
if (isset($_POST['schalter']) && ($_POST['schalter'] == 1 || $_POST['schalter'] == 2)) {
  $schalter = $_POST['schalter'];
} else {
  $schalter = 1;
}
$pfad="../../../scripts/stats/"; // Punkt steht für dieses Verzeichnis
if (defined("UTF8") && UTF8 == TRUE) {
  $chrst = "utf-8";
} else {
  $chrst = "iso-8859-1";
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; <?php echo $chrst ?>">
<title>Auswertung</title>
<link rel="stylesheet" type="text/css" href="../../../backend/css/backend.css">
</head>
<body>
<h1>Zugriffsstatistik</h1>
<form action="Zugriffsstatistik.php" method="post" name="passform">
<input type="radio" name="schalter" value="1" <?php if ($schalter == 1) { echo "checked='checked'";} ?>> aktueller Monat 
<input type="radio" name="schalter" value="2" <?php if ($schalter == 2) { echo "checked='checked'";} ?>> alle Monate 
<input type="submit" value="Auswahl treffen">
</form>


<?php
$ausgabe = 0;
$laenge = 600; // Maximallänge für grafische Balken
if ($schalter == 1) {
  $zusatz=Date("Ym");
  $zusatz="$zusatz.txt";
}
else {
  $zusatz=true;
}

$sammlung = "Datum: <b>" . Date('j.m.Y, H:i') . " h</b> (Serverzeit)<br><br>\n";

// ALLE DATEIEN AUSLESEN
// $pfad="."; // NUR ALS SIK

$dirhandle = opendir($pfad);
$i = 0;
$links = "<p><small>";

while($sifile = readdir($dirhandle)) { 
    if(!is_dir($sifile)) {
      $file[] = $sifile;            
    }  
  } 
closedir($dirhandle); 
rsort($file); 
$anz=count($file); 

        if ($schalter == 1) {
                $headline = "<h2>Aktueller Monat</h2>\n";
            } else {
                $headline = "<h2>Alle Monate</h2>\n";
            }

// while ($file = readdir($dirhandle)) { 
   for($i;$i<$anz;$i++) {
    if ($file[$i] == $zusatz && $file[$i]!="." && $file[$i] !=".." && $file[$i] != "compare.txt" && eregi("\.txt$",$file[$i]) && !eregi("^ct",$file[$i])) {
        $datum = explode(".", $file[$i]);
        $links .= "<a href='#$datum[0]' title='Springen zum Datum $datum[0]'>$datum[0]</a> ";
        $file2 = "ct$file[$i]";
        $filename = $pfad . $file[$i];
        $filename2 = $pfad . $file2;
        $fp = fopen($filename, "r");
        $fp2 = fopen($filename2, "r");
        $data = fread($fp, filesize($filename));
        $uv = fread($fp2, filesize($filename2));
        $newct = explode("#", $data); // Array newct erzeugen
        rsort($newct, SORT_NUMERIC); // aufsteigend sortieren
        $ausgabe = "<table border='1' cellspacing='0' cellpadding='2'>";
        $ausgabe .= "<tr><td><b>Hits</b></td><td><b>URLAnhang</b></td><td>".
        "<b>Seitentitel</b></td><td>&nbsp;</td></tr>\n";

        $verkauf = 0;
        $count = 0;
        $faktor = 1;
            foreach ($newct as $key => $value) {
                $lnew = explode("|",$value);
                if ($verkauf == 0) { 
                  if ($lnew[0] > $laenge) {
                    $faktor = $laenge/$lnew[0];
                  }
                }
                $laenge_wert = $lnew[0] * $faktor;
                $laenge_wert = round($laenge_wert);                
                $verkauf += $lnew[0];
                $ausgabe .= "<tr><td>$lnew[0]</td><td>$lnew[1]</td><td>$lnew[2]</td><td>";
                $balken = "";
                $balken .= "<img src='balken.gif' height=\"12\" width=\"$laenge_wert\">";
                $ausgabe .= $balken;
                $ausgabe .= "</td></tr>\n";
            }
        $ausgabe .= "</table>\n";
        $ausgabehead = "<b>$uv</b> &raquo;Unique Visitors&laquo; erzeugten <b>$verkauf</b> Seitenaufrufe bei <b>".count($newct)."</b> aufgerufenen Seiten<br>\n";
        $statistik[$i] = "<td align='right'>" .count($newct) ."</td>\n";
        $sales[$datum[0]] = $verkauf;
    

        $sammlung .= "<h2 id='$datum[0]'>$datum[0]: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href='#top' title='zurück nach oben'>nach oben</a></h2>\n";
        $sammlung .= $ausgabehead;
        $sammlung .= $ausgabe;         
    }
}
// closedir($dirhandle); // Dateien auslesen Ende
$links .= "</small></p>";

if ($schalter == 2) {
 $sammlung = $links . $sammlung;
} 

echo $headline . $sammlung;
 
if (empty($ausgabe)) {
  echo "<h2>Keine Statistikinfos verfügbar!</h2>
<p>Haben Sie den Ordner <b>stats</b> freigegeben?
Können dort Dateien angelegt werden? Wurden Ihre Seiten überhaupt schon aufgerufen?</p>
<p>Beachten Sie, dass der Ordner <b>stats</b> ggf. mit chmod 755 oder, wenn das nicht reicht, chmod 777 freigegeben werden muss.</p>";
}

?>

<div><small>Ver. 1.2. vom 07.08.2012</small></div>
</body>
</html>