<?php
defined('CMBASIC') or die();
// Ein neues Layout hat eine eigenen CSS-Datei für den Editor, sonst nimmt man die alte cmbasic_print.css-Datei
if (file_exists("css/{$cssfolder}/mce.css")) {
	$content_css = "css/{$cssfolder}/mce.css";
} else {
$content_css = "css/{$cssfolder}/cmbasic_print.css";
}
// Hier die entsprechenden Definitionen für Tiny MCE notieren!
$content .= <<<TINYMCE
<script type='text/javascript' src='tinymce/tinymce.min.js'></script>
<script type='text/javascript'>
var keepSelector = false; /* gehört zu importcss_selector_converter, momentan nicht in Gebrauch! */
tinymce.init({
	selector: "textarea",
	plugins: [
		"advlist anchor autolink autosave charmap code colorpicker contextmenu fullscreen",
		"hr image importcss insertdatetime link lists media nonbreaking paste preview",
		"print save searchreplace table textcolor visualblocks visualchars wordcount"
	],
	toolbar: [/* statt save newdocument */
		"newdocument | styleselect | searchreplace | " +
		"image table | hr | bullist numlist outdent indent | code",
		"undo redo | bold italic underline | forecolor backcolor | " + 
		"link unlink anchor | visualchars nonbreaking charmap" 
	],
	
	menu : { 
		file   : {title : 'File'  , items : 'about newdocument print help'},
		edit   : {title : 'Edit'  , items : 'undo redo | cut copy paste pastetext | selectall | searchreplace '},
		insert : {title : 'Insert', items : 'media image link anchor | charmap nonbreaking | insertdatetime hr'},
		view   : {title : 'View'  , items : 'visualchars visualaid visualblocks | fullscreen preview'},
		table  : {title : 'Table' , items : 'inserttable tableprops deletetable | cell row column'},
		format : {title : 'Format', items : 'bold italic underline strikethrough superscript subscript | formats | removeformat'}
	},
	contextmenu: "copy | link image inserttable | cell row column deletetable",
	importcss_append: true, /* damit wird das Verhalten von Version 3.x wieder hergestellt (erweitertes Formate-Menü) */
	/* alles, was in mce.css zwischen '.meineStileAnfang{}' und '.meineStileEnde{}' steht, wird zusätzlich angeboten */
		importcss_selector_converter: function(selector) {
			if (selector == '.meineStileAnfang') {
				keepSelector = true;
				return false;
			} else if (selector == '.meineStileEnde') {
				keepSelector = false;
				return false;
			}
			if (!keepSelector ) {
				return false;
			}
			return this.convertSelectorToFormat(selector);
	},
	/* siehe fixed_toolbar_container */
	/*
		inline : true,
		fixed_toolbar_container : "#mytoolbar"
	*/
	indentation : '20pt',
	language : 'de',
	height : '400px',
	autoresize_min_height : "100",
	resize : true,  /* nur vertikal */
	browser_spellcheck : true,
	nonbreaking_force_tab : true, /* fügt drei nbsp bei der Eingabe von TAB ein */
	save_enablewhendirty : true, /* Speichern ist ausgegraut, wenn noch nichts geändert ist */
	autosave_ask_before_unload : true, /* Nachfragen, wenn Editor verlassen wird */
	entity_encoding : "raw",
	convert_urls : true, /* and leave relative URLs true */
	
	content_css: '{$content_css}',
	theme : 'modern',
	skin : 'wasko' /* Alternative 'lightgray' */
});
</script>
<!-- /tinyMCE -->

TINYMCE;
?>