<?php
include_once "sessionheader.inc.php";
error_reporting(0);
if (isset($_SESSION['rights']) && $_SESSION['rights'] >= 3) {
  include_once "../edit/config.inc.php";
  include_once "../zugriff.inc.php";
  include_once "TableEditor.php";
  $editor = new TableEditor($conn, $pfx.'content');

  // Überschrift (statt Tabellenname)
  $editor->config['title'] = 'Inhalt';
  
  $editor->setConfig('allowPKEditing', true);
  
  // Einträge pro Seite auf 20 einstellen
  $editor->setConfig('perPage', 20);
  
  // Spaltenüberschrift(en) anhübschen
  $editor->setDisplayNames(array('Content'=>'Inhalt'));
  
  // Sortierreihenfolge erst nach Ebene1, darin dann nach Ebene2 sortieren
  $editor->setDefaultOrderby('Ebene1, Ebene2', 1);
  
  // Suchfelder bestimmen
  $editor->setSearchableFields('URLAnhang','Seitentitel','Content');
  
  // Pflichtfelder setzen
  $editor->setRequiredFields('URLAnhang', 'MenueName', 'Ebene1', 'Seitentitel');
  
  $editor->addDisplayFilter('Ebene2', create_function('$inhalt', 'if ($inhalt > 0) { return "—→ " . $inhalt;}'));
  
  // In der Tabelle nur die ersten 100 Zeichen anzeigen, wenn der Text länger ist, eine Ellipse anfügen
  $editor->addDisplayFilter('Content', create_function('$v', 'if(strlen($v)<=100){return $v;}else{return substr($v,0,100)."...";}'));
  $editor->display();

} else {
  include "umleitung.php";
}
?>